package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.DataSyncIn;
import com.sa.ibiz.demo.demo.service.dto.DataSyncInSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[DataSyncIn] 服务对象接口
 */
public interface DataSyncInService extends IService<DataSyncIn>{

	boolean remove(DataSyncIn et);
	boolean checkKey(DataSyncIn et);
		DataSyncIn get(DataSyncIn et);
	boolean update(DataSyncIn et);
	boolean create(DataSyncIn et);
	boolean getDraft(DataSyncIn et);
    List<DataSyncIn> listDefault(DataSyncInSearchFilter filter) ;
	Page<DataSyncIn> searchDefault(DataSyncInSearchFilter filter);
	/**	 实体[DataSyncIn] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }